import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
function menutreepage(params) {
  return request(getDataBaseUrl()+'/api​/menu/getmenutreepage', {
    method: 'post',
    data: params,
  });
}

function enable(params) {
  return request(getDataBaseUrl()+`/api​/menu/enable?Id=${params}`);
}

function disable(params) {
  return request(getDataBaseUrl()+`/api/menu/disable?Id=${params}`);
}

function remove(params) {
  return request(getDataBaseUrl()+`/api​/menu/delete`, {
    method: 'post',
    data: params,
  });
}

function add(params) {
  return request(getDataBaseUrl()+`/api​/menu/add`, {
    method: 'post',
    data: params,
  });
}
function update(params) {
  return request(getDataBaseUrl()+`/api​/menu/update`, {
    method: 'post',
    data: params,
  });
}

function trees() {
  return request(getDataBaseUrl()+`​/api/menu/menutreesall`, {
    method: 'Get',
  });
}

function  getDicData(code) {
  return request(getDataBaseUrl()+`/api/select/getdictvalue/?TypeCode=${code}`);
}

export default { menutreepage, trees, enable, disable, add, remove, update,getDicData };
